org.appng.testsupport.persistence

## Class HsqlServer

- java.lang.Object
- - org.appng.testsupport.persistence.HsqlServer

-     public class HsqlServer
      extends Object

  TODO insert description
  Author:
    mueller.matthias, aiticon GmbH, 2011

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DEFAULT_PORT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HsqlServer()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `main(String[] args)`
    `static void` | `start()`
    `static void` | `start(int port)`
    `static void` | `start(String dbName)`
    `static void` | `start(String dbName, int port)`
    `static void` | `start(String dbName, String folder, int port)`
    `static void` | `stop()`
    `static void` | `stop(int port)`
    `static void` | `stop(String dbName)`
    `static void` | `stop(String dbName, int port)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_PORT

          public static final int DEFAULT_PORT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### HsqlServer

          public HsqlServer()

  - ### Method Detail

    - #### main

          public static void main(String[] args)

    - #### start

          public static void start()

    - #### start

          public static void start(String dbName)

    - #### stop

          public static void stop()

    - #### stop

          public static void stop(String dbName)

    - #### start

          public static void start(int port)

    - #### start

          public static void start(String dbName,
                                   int port)

    - #### start

          public static void start(String dbName,
                                   String folder,
                                   int port)

    - #### stop

          public static void stop(int port)

    - #### stop

          public static void stop(String dbName,
                                  int port)

Copyright © 2011–2023 aiticon GmbH. All rights reserved.